	program media
	
	integer                                 :: nx,ny,nz
	real,    dimension(:,:) ,allocatable    :: pslm,pslm1,pslm2
        real,    dimension(:,:) ,allocatable    :: pslc,pslc1,pslc2                        
        real,    dimension(:,:) ,allocatable    :: topo                        
        real,    dimension(:,:) ,allocatable    :: tp2m,tp2m1,tp2m2                       
        real,    dimension(:,:) ,allocatable    :: mxtp,mxtp1,mxtp2                        
        real,    dimension(:,:) ,allocatable    :: mntp,mntp1,mntp2                 
        real,    dimension(:,:) ,allocatable    :: dp2m,dp2m1,dp2m2
	real,    dimension(:,:) ,allocatable    :: u10m,u10m1,u10m2
        real,    dimension(:,:) ,allocatable    :: v10m,v10m1,v10m2                        
        real,    dimension(:,:) ,allocatable    :: u100,u1001,u1002                       
        real,    dimension(:,:) ,allocatable    :: v100,v1001,v1002                       
        real,    dimension(:,:) ,allocatable    :: prec,prec1,prec2                      
        real,    dimension(:,:) ,allocatable    :: prcv,prcv1,prcv2                        
        real,    dimension(:,:) ,allocatable    :: prge,prge1,prge2
	real,    dimension(:,:) ,allocatable    :: neve,neve1,neve2
        real,    dimension(:,:) ,allocatable    :: clsf,clsf1,clsf2                        
        real,    dimension(:,:) ,allocatable    :: cssf,cssf1,cssf2                        
        real,    dimension(:,:) ,allocatable    :: ghfl,ghfl1,ghfl2                        
        real,    dimension(:,:) ,allocatable    :: tsfc,tsfc1,tsfc2                        
        real,    dimension(:,:) ,allocatable    :: tgsc,tgsc1,tgsc2                        
        real,    dimension(:,:) ,allocatable    :: tgrz,tgrz1,tgrz2
	real,    dimension(:,:) ,allocatable    :: ussl,ussl1,ussl2
        real,    dimension(:,:) ,allocatable    :: uzrs,uzrs1,uzrs2                        
        real,    dimension(:,:) ,allocatable    :: smav,smav1,smav2                        
        real,    dimension(:,:) ,allocatable    :: rnof,rnof1,rnof2                        
        real,    dimension(:,:) ,allocatable    :: evpp,evpp1,evpp2                        
        real,    dimension(:,:) ,allocatable    :: lwnv,lwnv1,lwnv2                        
        real,    dimension(:,:) ,allocatable    :: mdnv,mdnv1,mdnv2
	real,    dimension(:,:) ,allocatable    :: hinv,hinv1,hinv2
        real,    dimension(:,:) ,allocatable    :: ocis,ocis1,ocis2                       
        real,    dimension(:,:) ,allocatable    :: olis,olis1,olis2                        
        real,    dimension(:,:) ,allocatable    :: oces,oces1,oces2                        
        real,    dimension(:,:) ,allocatable    :: oles,oles1,oles2                        
        real,    dimension(:,:) ,allocatable    :: roce,roce1,roce2                        
        real,    dimension(:,:) ,allocatable    :: role,role1,role2
	real,    dimension(:,:) ,allocatable    :: albe,albe1,albe2                        
        real,    dimension(:,:) ,allocatable    :: cape,cape1,cape2                        
        real,    dimension(:,:) ,allocatable    :: agpl,agpl1,agpl2
	real,    dimension(:,:,:) ,allocatable    :: zgeo,zgeo1,zgeo2
        real,    dimension(:,:,:) ,allocatable    :: uvel,uvel1,uvel2                      
        real,    dimension(:,:,:) ,allocatable    :: vvel,vvel1,vvel2                        
        real,    dimension(:,:,:) ,allocatable    :: temp,temp1,temp2                        
        real,    dimension(:,:,:) ,allocatable    :: umrl,umrl1,umrl2                        
        real,    dimension(:,:,:) ,allocatable    :: omeg,omeg1,omeg2                         
        real,    dimension(:,:,:) ,allocatable    :: umes,umes1,umes2
	character (len=130)           :: fctin,arqout
        integer                       :: med
	
	nx=275
	ny=220
	nz=20
	
	allocate(pslm(nx,ny))
	allocate(pslm1(nx,ny))
	allocate(pslm2(nx,ny))
        allocate(pslc(nx,ny))                       
        allocate(pslc1(nx,ny))
	allocate(pslc2(nx,ny))                      
        allocate(topo(nx,ny))                     
        allocate(tp2m(nx,ny))
	allocate(tp2m1(nx,ny))
	allocate(tp2m2(nx,ny))          
        allocate(mxtp(nx,ny))
	allocate(mxtp1(nx,ny))
	allocate(mxtp2(nx,ny))                
        allocate(mntp(nx,ny))
	allocate(mntp1(nx,ny))
	allocate(mntp2(nx,ny))
        allocate(dp2m(nx,ny))
	allocate(dp2m1(nx,ny))
	allocate(dp2m2(nx,ny))
	allocate(u10m(nx,ny))
	allocate(u10m1(nx,ny))
	allocate(u10m2(nx,ny))                   
        allocate(v10m(nx,ny))
	allocate(v10m1(nx,ny))
	allocate(v10m2(nx,ny))                 
        allocate(u100(nx,ny))
	allocate(u1001(nx,ny)) 
	allocate(u1002(nx,ny))               
        allocate(v100(nx,ny))
	allocate(v1001(nx,ny))
	allocate(v1002(nx,ny))
        allocate(prec(nx,ny))
	allocate(prec1(nx,ny))
	allocate(prec2(nx,ny))
	allocate(prcv(nx,ny))
	allocate(prcv1(nx,ny))
	allocate(prcv2(nx,ny))
        allocate(prge(nx,ny))
	allocate(prge1(nx,ny))
	allocate(prge2(nx,ny))                      
        allocate(neve(nx,ny))
	allocate(neve1(nx,ny))
	allocate(neve2(nx,ny))                
        allocate(clsf(nx,ny))
	allocate(clsf1(nx,ny))
	allocate(clsf2(nx,ny))                
        allocate(cssf(nx,ny))
	allocate(cssf1(nx,ny)) 
	allocate(cssf2(nx,ny))              
        allocate(ghfl(nx,ny))
	allocate(ghfl1(nx,ny))
	allocate(ghfl2(nx,ny))
        allocate(tsfc(nx,ny))
	allocate(tsfc1(nx,ny))
	allocate(tsfc2(nx,ny))
	allocate(tgsc(nx,ny))
	allocate(tgsc1(nx,ny))
	allocate(tgsc2(nx,ny))
        allocate(tgrz(nx,ny))
	allocate(tgrz1(nx,ny))
	allocate(tgrz2(nx,ny))                      
        allocate(ussl(nx,ny))
	allocate(ussl1(nx,ny))
	allocate(ussl2(nx,ny))                    
        allocate(uzrs(nx,ny))
	allocate(uzrs1(nx,ny)) 
	allocate(uzrs2(nx,ny))              
        allocate(smav(nx,ny))
	allocate(smav1(nx,ny))
	allocate(smav2(nx,ny))               
        allocate(rnof(nx,ny))
	allocate(rnof1(nx,ny))
	allocate(rnof2(nx,ny))
        allocate(evpp(nx,ny))
	allocate(evpp1(nx,ny))
	allocate(evpp2(nx,ny))
	allocate(lwnv(nx,ny))
	allocate(lwnv1(nx,ny))
	allocate(lwnv2(nx,ny))
        allocate(mdnv(nx,ny))
	allocate(mdnv1(nx,ny))
	allocate(mdnv2(nx,ny))                     
        allocate(hinv(nx,ny))
	allocate(hinv1(nx,ny)) 
	allocate(hinv2(nx,ny))                    
        allocate(ocis(nx,ny))
	allocate(ocis1(nx,ny)) 
	allocate(ocis2(nx,ny))              
        allocate(olis(nx,ny))
	allocate(olis1(nx,ny))
	allocate(olis2(nx,ny))               
        allocate(oces(nx,ny))
	allocate(oces1(nx,ny))
	allocate(oces2(nx,ny))
        allocate(oles(nx,ny))
	allocate(oles1(nx,ny))
	allocate(oles2(nx,ny))
	allocate(roce(nx,ny))
	allocate(roce1(nx,ny))
	allocate(roce2(nx,ny))
        allocate(role(nx,ny))
	allocate(role1(nx,ny))
	allocate(role2(nx,ny))                      
        allocate(albe(nx,ny))
	allocate(albe1(nx,ny))
	allocate(albe2(nx,ny))                     
        allocate(cape(nx,ny))
	allocate(cape1(nx,ny)) 
	allocate(cape2(nx,ny))                
        allocate(agpl(nx,ny))
	allocate(agpl1(nx,ny))
	allocate(agpl2(nx,ny))                
        allocate(zgeo(nx,ny,nz))
	allocate(zgeo1(nx,ny,nz))
	allocate(zgeo2(nx,ny,nz))
        allocate(uvel(nx,ny,nz))
	allocate(uvel1(nx,ny,nz))
	allocate(uvel2(nx,ny,nz))
	allocate(vvel(nx,ny,nz))
	allocate(vvel1(nx,ny,nz))
	allocate(vvel2(nx,ny,nz))
        allocate(temp(nx,ny,nz))
	allocate(temp1(nx,ny,nz))
	allocate(temp2(nx,ny,nz))                       
        allocate(umrl(nx,ny,nz))
	allocate(umrl1(nx,ny,nz))
	allocate(umrl2(nx,ny,nz))                    
        allocate(omeg(nx,ny,nz))
	allocate(omeg1(nx,ny,nz)) 
	allocate(omeg2(nx,ny,nz))                 
        allocate(umes(nx,ny,nz))                
        allocate(umes1(nx,ny,nz))
	allocate(umes2(nx,ny,nz))
	
	pslm=0.
        pslc=0. 			
        topo=0.	      
        tp2m=0.
        mxtp=0.
        mntp=0.
        dp2m=0.
	u10m=0.
        v10m=0.
        u100=0.
        v100=0.
        neve=0.
        clsf=0.
        cssf=0.
        ghfl=0.
        tsfc=0.
	tgsc=0.
        tgrz=0.
        ussl=0.
        uzrs=0.
        smav=0.
        rnof=0.
        evpp=0.
	lwnv=0.
        mdnv=0.
        hinv=0.
        ocis=0.
        olis=0.
        oces=0.
        oles=0.
	roce=0.
        role=0.
        albe=0.
        cape=0.
        agpl=0.
        zgeo=0.
        uvel=0.
	vvel=0.
        temp=0.
        umrl=0.
        omeg=0.
        umes=0.	

       open(9,file='fcst.txt', form='formatted', status='old')
      
       write(6,*) 'Iniciando a Leitura...'
       
 900  read(9,'(a130)',end=910) fctin

      open(90,file=fctin,status='old',form='unformatted',access='direct',recl=4*nx*ny)
        
	irec=1
	read(90,rec=irec) ((pslm(i,j),i=1,nx),j=1,ny)
	pslm1=pslm1+(pslm)
	
	irec=irec+1
	read(90,rec=irec) ((pslc(i,j),i=1,nx),j=1,ny)
	pslc1=pslc1+(pslc)
	
	irec=irec+1
	read(90,rec=irec) ((topo(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	read(90,rec=irec) ((tp2m(i,j),i=1,nx),j=1,ny)
	tp2m1=tp2m1+(tp2m)
	
	irec=irec+1
	read(90,rec=irec) ((mxtp(i,j),i=1,nx),j=1,ny)
	mxtp1=mxtp1+(mxtp)
	
	irec=irec+1
	read(90,rec=irec) ((mntp(i,j),i=1,nx),j=1,ny)
	mntp1=mntp1+(mntp)
	
	irec=irec+1
	read(90,rec=irec) ((dp2m(i,j),i=1,nx),j=1,ny)
	dp2m1=dp2m1+(dp2m)
	
	irec=irec+1
	read(90,rec=irec) ((u10m(i,j),i=1,nx),j=1,ny)
	u10m1=u10m1+(u10m)
	
	irec=irec+1
	read(90,rec=irec) ((v10m(i,j),i=1,nx),j=1,ny)
	v10m1=v10m1+(v10m)
	
	irec=irec+1
	read(90,rec=irec) ((u100(i,j),i=1,nx),j=1,ny)
	u1001=u1001+(u100)
	
	irec=irec+1
	read(90,rec=irec) ((v100(i,j),i=1,nx),j=1,ny)
	v1001=v1001+(v100)
	
	irec=irec+1
	read(90,rec=irec) ((prec(i,j),i=1,nx),j=1,ny)
	prec1=prec1+(prec)
	
	irec=irec+1
	read(90,rec=irec) ((prcv(i,j),i=1,nx),j=1,ny)
	prcv1=prcv1+(prcv)
	
	irec=irec+1
	read(90,rec=irec) ((prge(i,j),i=1,nx),j=1,ny)
	prge1=prge1+(prge)
	
	irec=irec+1
	read(90,rec=irec) ((neve(i,j),i=1,nx),j=1,ny)
	neve1=neve1+(neve)
	
	irec=irec+1
	read(90,rec=irec) ((clsf(i,j),i=1,nx),j=1,ny)
	clsf1=clsf1+(clsf)
	
	irec=irec+1
	read(90,rec=irec) ((cssf(i,j),i=1,nx),j=1,ny)
	cssf1=cssf1+(cssf)
	
	irec=irec+1
	read(90,rec=irec) ((ghfl(i,j),i=1,nx),j=1,ny)
	ghfl1=ghfl1+(ghfl)
	
	irec=irec+1
	read(90,rec=irec) ((tsfc(i,j),i=1,nx),j=1,ny)
	tsfc1=tsfc1+(tsfc)
	
	irec=irec+1
	read(90,rec=irec) ((tgsc(i,j),i=1,nx),j=1,ny)
	tgsc1=tgsc1+(tgsc)
	
	irec=irec+1
	read(90,rec=irec) ((tgrz(i,j),i=1,nx),j=1,ny)
	tgrz1=tgrz1+(tgrz)
	
	irec=irec+1
	read(90,rec=irec) ((ussl(i,j),i=1,nx),j=1,ny)
	ussl1=ussl1+(ussl)
	
	irec=irec+1
	read(90,rec=irec) ((uzrs(i,j),i=1,nx),j=1,ny)
	uzrs1=uzrs1+(uzrs)
	
	irec=irec+1
	read(90,rec=irec) ((smav(i,j),i=1,nx),j=1,ny)
	smav1=smav1+(smav)
	
	irec=irec+1
	read(90,rec=irec) ((rnof(i,j),i=1,nx),j=1,ny)
	rnof1=rnof1+(rnof)
	
	irec=irec+1
	read(90,rec=irec) ((evpp(i,j),i=1,nx),j=1,ny)
	evpp1=evpp1+(evpp)
	
	irec=irec+1
	read(90,rec=irec) ((lwnv(i,j),i=1,nx),j=1,ny)
	lwnv1=lwnv1+(lwnv)
	
	irec=irec+1
	read(90,rec=irec) ((mdnv(i,j),i=1,nx),j=1,ny)
	mdnv1=mdnv1+(mdnv)
	
	irec=irec+1
	read(90,rec=irec) ((hinv(i,j),i=1,nx),j=1,ny)
	hinv1=hinv1+(hinv)
	
	irec=irec+1
	read(90,rec=irec) ((ocis(i,j),i=1,nx),j=1,ny)
	ocis1=ocis1+(ocis)
	
	irec=irec+1
	read(90,rec=irec) ((olis(i,j),i=1,nx),j=1,ny)
	olis1=olis1+(olis)
	
	irec=irec+1
	read(90,rec=irec) ((oces(i,j),i=1,nx),j=1,ny)
	oces1=oces1+(oces)
	
	irec=irec+1
	read(90,rec=irec) ((oles(i,j),i=1,nx),j=1,ny)
	oles1=oles1+(oles)
	
	irec=irec+1
	read(90,rec=irec) ((roce(i,j),i=1,nx),j=1,ny)
	roce1=roce1+(roce)
	
	irec=irec+1
	read(90,rec=irec) ((role(i,j),i=1,nx),j=1,ny)
	role1=role1+(role)
	
	irec=irec+1
	read(90,rec=irec) ((albe(i,j),i=1,nx),j=1,ny)
	albe1=albe1+(albe)
	
	irec=irec+1
	read(90,rec=irec) ((cape(i,j),i=1,nx),j=1,ny)
	cape1=cape1+(cape)
	
	irec=irec+1
	read(90,rec=irec) ((agpl(i,j),i=1,nx),j=1,ny)
	agpl1=agpl1+(agpl)
	
	irec=irec+1
	
!	write(6,*) 'Lendo Variaveis de niveis...'
	
	do l=1,nz
	   read(90,rec=irec) ((zgeo(i,j,l),i=1,nx),j=1,ny)
	   zgeo1(:,:,l)=zgeo1(:,:,l)+zgeo(:,:,l)
	   irec=irec+1
	enddo
	do l=1,nz
	   read(90,rec=irec) ((uvel(i,j,l),i=1,nx),j=1,ny)
	   uvel1(:,:,l)=uvel1(:,:,l)+uvel(:,:,l)
	   irec=irec+1
	enddo
	do l=1,nz
	   read(90,rec=irec) ((vvel(i,j,l),i=1,nx),j=1,ny)
	   vvel1(:,:,l)=vvel1(:,:,l)+vvel(:,:,l)
	   irec=irec+1
	enddo
	do l=1,nz
	   read(90,rec=irec) ((temp(i,j,l),i=1,nx),j=1,ny)
	   temp1(:,:,l)=temp1(:,:,l)+temp(:,:,l)
	   irec=irec+1
	enddo
	do l=1,nz
	   read(90,rec=irec) ((umrl(i,j,l),i=1,nx),j=1,ny)
	   umrl1(:,:,l)=umrl1(:,:,l)+umrl(:,:,l)
	   irec=irec+1
	   
	enddo
	do l=1,nz
	   read(90,rec=irec) ((omeg(i,j,l),i=1,nx),j=1,ny)
	   omeg1(:,:,l)=omeg1(:,:,l)+omeg(:,:,l) 
	   irec=irec+1
	enddo
	
	do l=1,nz
	   read(90,rec=irec) ((umes(i,j,l),i=1,nx),j=1,ny)
	   umes1(:,:,l)=umes1(:,:,l)+umes(:,:,l)
	   irec=irec+1
	enddo
	
	goto 900
      
 910  continue
	
	close(90)

!Fazendo as medias para cada membro 

	open(8,file='qtd_arq.txt', form='formatted', status='old')
      
        read(8,*)med
	print*,med
	
	pslm2=pslm1/med
	pslc2=pslc1/med
	tp2m2=tp2m1/med
	mxtp2=mxtp1/med
	mntp2=mntp1/med
	dp2m2=dp2m1/med
	u10m2=u10m1/med
	v10m2=v10m1/med
	u1002=u1001/med
	v1002=v1001/med
	prec2=prec1/med
	prcv2=prcv1/med
	prge2=prge1/med
	neve2=neve1/med
	clsf2=clsf1/med
	cssf2=cssf1/med
	ghfl2=ghfl1/med
	tsfc2=tsfc1/med
	tgsc2=tgsc1/med
	tgrz2=tgrz1/med
	ussl2=ussl1/med
	uzrs2=uzrs1/med
	smav2=smav1/med
	rnof2=rnof1/med
	evpp2=evpp1/med
	lwnv2=lwnv1/med
	mdnv2=mdnv1/med
	hinv2=hinv1/med
	ocis2=ocis1/med
	olis2=olis1/med
	oces2=oces1/med
	oles2=oles1/med
	roce2=role1/med
	role2=role1/med
	albe2=albe1/med
	cape2=cape1/med
	agpl2=agpl1/med
	zgeo2=zgeo1/med
	uvel2=uvel1/med
	vvel2=vvel1/med
	temp2=temp1/med
	umrl2=umrl1/med
	omeg2=omeg1/med
	umes2=umes1/med
		
	open (92,status='unknown',form='unformatted',access='direct',recl=4*nx*ny)
	
	irec=1
	write(92,rec=irec) ((pslm2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((pslc2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((tp2m2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((mxtp2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((mntp2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((dp2m2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((u10m2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((v10m2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((u1002(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((v1002(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((prec2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((prcv2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((prge2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((neve2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((clsf2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((cssf2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((ghfl2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((tsfc2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((tgsc2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((tgrz2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((ussl2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((uzrs2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((smav2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((rnof2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((evpp2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((lwnv2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((mdnv2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((hinv2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((ocis2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((olis2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((oces2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((oles2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((roce2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((role2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((albe2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((cape2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	write(92,rec=irec) ((agpl2(i,j),i=1,nx),j=1,ny)
	
	irec=irec+1
	
	do l=1,nz
	   write(92,rec=irec) ((zgeo2(i,j,l),i=1,nx),j=1,ny)
	   irec=irec+1
	enddo
	do l=1,nz
	   write(92,rec=irec) ((uvel2(i,j,l),i=1,nx),j=1,ny)
	   irec=irec+1
	enddo
	do l=1,nz
	   write(92,rec=irec) ((vvel2(i,j,l),i=1,nx),j=1,ny)
	   irec=irec+1
	enddo
	do l=1,nz
	   write(92,rec=irec) ((temp2(i,j,l),i=1,nx),j=1,ny)
	   irec=irec+1
	enddo
	do l=1,nz
	   write(92,rec=irec) ((umrl2(i,j,l),i=1,nx),j=1,ny)
	   irec=irec+1
	enddo
	do l=1,nz
	   write(92,rec=irec) ((omeg2(i,j,l),i=1,nx),j=1,ny)
	   irec=irec+1
	enddo
	do l=1,nz
	   write(92,rec=irec) ((umes2(i,j,l),i=1,nx),j=1,ny)
	   irec=irec+1
	enddo
	
	write(6,*) 'Escreveu o arquivo'
	end
	
